Retrieve batch
Retrieve batch. API reference for GET /v1/batches/{batch_id}: request parameters, response schema and code samples.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication using API keys
In: header
Path Parameters
batch_id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/batches/string"{
"id": "string",
"object": "batch",
"endpoint": "/v1/chat/completions",
"errors": {
"object": "list",
"data": [
{
"code": "string",
"message": "string",
"param": "string",
"line": 0
}
]
},
"input_file_id": "string",
"completion_window": "string",
"status": "validating",
"output_file_id": "string",
"error_file_id": "string",
"created_at": 0,
"in_progress_at": 0,
"expires_at": 0,
"finalizing_at": 0,
"completed_at": 0,
"failed_at": 0,
"expired_at": 0,
"cancelling_at": 0,
"cancelled_at": 0,
"request_counts": {
"total": 0,
"completed": 0,
"failed": 0
},
"metadata": {
"property1": "string",
"property2": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"type": "string",
"param": "string",
"code": "string"
}
}How is this guide?
Last updated on